"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Window = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _symbols = require("../symbols");
var Window = /*#__PURE__*/function () {
  function Window(editorWindow) {
    this[_symbols.windowSymbol] = void 0;
    this[_symbols.windowSymbol] = editorWindow;
  }
  var _proto = Window.prototype;
  _proto.importSchema = function importSchema(schema) {
    this[_symbols.windowSymbol].importSchema(schema);
  };
  _proto.changeViewType = function changeViewType(viewName) {
    this[_symbols.windowSymbol].changeViewType(viewName);
  };
  _proto.save = /*#__PURE__*/function () {
    var _save = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return this[_symbols.windowSymbol].save();
          case 2:
            return _context.abrupt("return", _context.sent);
          case 3:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function save() {
      return _save.apply(this, arguments);
    }
    return save;
  }();
  (0, _createClass2["default"])(Window, [{
    key: "id",
    get: function get() {
      return this[_symbols.windowSymbol].id;
    }
  }, {
    key: "title",
    get: function get() {
      return this[_symbols.windowSymbol].title;
    }
  }, {
    key: "icon",
    get: function get() {
      return this[_symbols.windowSymbol].icon;
    }
  }, {
    key: "resourceName",
    get: function get() {
      return this[_symbols.windowSymbol].resourceName;
    }
  }]);
  return Window;
}();
exports.Window = Window;