import { IPublicModelActiveTracker, IPublicModelNode, IPublicTypeActiveTarget } from '@alilc/lowcode-types';
import { IActiveTracker } from '@alilc/lowcode-designer';
declare const activeTrackerSymbol: unique symbol;
export declare class ActiveTracker implements IPublicModelActiveTracker {
    private readonly [activeTrackerSymbol];
    constructor(innerTracker: IActiveTracker);
    onChange(fn: (target: IPublicTypeActiveTarget) => void): () => void;
    track(node: IPublicModelNode): void;
}
export {};
