/// <reference types="react" />
import { windowSymbol } from '../symbols';
import { IPublicModelWindow } from '@alilc/lowcode-types';
import { EditorWindow } from '@alilc/lowcode-workspace';
export declare class Window implements IPublicModelWindow {
    private readonly [windowSymbol];
    get id(): string;
    get title(): string;
    get icon(): import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>;
    get resourceName(): string;
    constructor(editorWindow: EditorWindow);
    importSchema(schema: any): any;
    changeViewType(viewName: string): void;
    save(): Promise<void>;
}
